{
  pkgs ? import <nixpkgs> { },
}:
with pkgs;
let
  buildNimSbom = pkgs.callPackage (import <build-nim-sbom.nix>) { };
in
buildNimSbom ./sbom.json (
  final: prev: {
    src = if lib.inNixShell then null else lib.cleanSource ./.;
    buildInputs = [
      postgresql.out
      sqlite
      libxml2
      libxslt
      openssl
    ];
  }
)
